{
        "name" : "GoogleAddCalendar",
        "displayName" : "GoogleAddCalendar",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.calendar.AddCalendarWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-calendar-workitem/index.html",
        "module" : "google-calendar-workitem",
        "icon" : "GoogleAddCalendar.png",
            "category" : "Google Calendar",
            "description" : "Add and retrieve Calendars and Calendar Events from Google",
            "keywords" : [
                                "google"
                ,"calendar"
                ,"add"

            ],
                "isaction" : "true",
                "actiontitle" : "Add a new Google Calendar",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/calendar/auth",
            "parameters" : [
                                   {
                                       "name" : "CalendarSummary",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Calendar",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-calendar-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleGetCalendars",
        "displayName" : "GoogleGetCalendars",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.calendar.GetCalendarsWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-calendar-workitem/index.html",
        "module" : "google-calendar-workitem",
        "icon" : "GoogleGetCalendars.png",
            "category" : "Google Calendar",
            "description" : "Add and retrieve Calendars and Calendar Events from Google",
            "keywords" : [
                                "google"
                ,"calendar"
                ,"get"
                ,"all"

            ],
                "isaction" : "true",
                "actiontitle" : "Get all existing Google Calendars",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/calendar/auth",
            "results" : [
                                   {
                                       "name" : "AllCalendars",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-calendar-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleAddEvent",
        "displayName" : "GoogleAddEvent",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.calendar.AddEventWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-calendar-workitem/index.html",
        "module" : "google-calendar-workitem",
        "icon" : "GoogleAddEvent.png",
            "category" : "Google Calendar",
            "description" : "Add and retrieve Calendars and Calendar Events from Google",
            "keywords" : [
                                "google"
                ,"calendar"
                ,"add"
                ,"event"

            ],
                "isaction" : "true",
                "actiontitle" : "Add a new event to existing Google Calendar",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/calendar/auth",
            "parameters" : [
                                   {
                                       "name" : "CalendarSummary",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "EventSummary",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "EventStart",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "EventEnd",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "EventCreator",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "EventAttendees",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Event",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-calendar-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleGetEvents",
        "displayName" : "GoogleGetEvents",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.calendar.GetEventsWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-calendar-workitem/index.html",
        "module" : "google-calendar-workitem",
        "icon" : "GoogleGetEvents.png",
            "category" : "Google Calendar",
            "description" : "Add and retrieve Calendars and Calendar Events from Google",
            "keywords" : [
                                "google"
                ,"calendar"
                ,"events"
                ,"get"
                ,"all"

            ],
                "isaction" : "true",
                "actiontitle" : "Get all events from an existing Google Calendars",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/calendar/auth",
            "parameters" : [
                                   {
                                       "name" : "CalendarSummary",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "AllEvents",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-calendar-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
